{% extends 'base.html' %}
{% block content %}
<div class="container">
  <div class="row">
    <div class="col-md-12">
      <center>
        <h1>Reset password</h1>
      </center>
    </div>
  </div>
  <div class="row">
    <div class="col-md-8 col-md-offset-2">
      <form action="/reset_passwd" method="post">
        <div class="form-group">
          <label for="txtUsername">Username</label>
          <input type="text" class="form-control" id="txtUsername" name="txtUsername" value="{% if user %}{{user}}{% endif %}" />
        </div>
        <div class="form-group">
          <label for="txtPassword">Password</label>
          <input type="password" class="form-control" id="txtPassword" name="txtPassword"/>
        </div>
        <div class="form-group">
          <label for="txtPassword">New password</label>
          <input type="password" class="form-control" id="txtPassword" name="txtNewPassword"/>
        </div>
        <button type="submit" class="btn btn-primary">Register</button>
      </form>
    </div>
  </div>
  {% with messages = get_flashed_messages() %}
    {% if messages %}
      {% for message in messages %}
      <div class="row">
        <div class="alert alert-info" role="alert">{{ message }}</div>
      </div>
      {% endfor %}
    {% endif %}
  {% endwith %}
</div>
{% endblock %}